QGIS Application - Bug report #14224

"Label with" Field is not loaded when importing qgis layer style file

2016-02-03 07:46 AM - Johannes Wagner

Status: Closed
Priority: Normal
Assignee:

Category: Labelling

Affected QGIS version:2.12.2
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 22222

Description

1. Create a specific rule for labeling in the "lable with" field
2. export the entire layer style to a qgis layer style file (gml)

3. Create a new layer, import the style, the Label with field is not filled.

It is, in fact, being filled in the background, so when | close the Layer Properties instead of pressing OK to confirm, everything is in place

afer | reopen the layer properties.

However most people will press Ok or Apply to confirm what they did, effectively overwriting what they just imported.

| could only test on this on Mac OS so far, so it may be a Mac related issue.

(The gml file is written correctly)

Associated revisions

Revision 272b16a7 - 2016-05-02 06:42 PM - Daan Goedkoop

Update labeling settings in Ul after loading style from file (fixes #14224)

Revision c260a77e - 2016-05-21 05:10 PM - Matthias Kuhn

Merge pull request #3054 from dgoedkoop/loadstylelabels214

[Bugfix] Update labeling settings after loading style from file (fixes #14224)

History

#1 - 2016-02-05 05:25 AM - Giovanni Manghi
- Category set to Labelling
- Status changed from Open to Feedback

seems ok to me in master, please give it a try and report back. Cheers!

#2 - 2016-02-14 04:11 AM - Johannes Wagner

Fork under windows seems to be ok,

| am using KyngChaos Mac Os version http://www.kyngchaos.com/software/qgis though and can reprocude the issue with several different macs..

all the best!
#3 - 2016-03-31 05:56 AM - Herve Christol

- Target version set to Version 2.14

- File Step3__Restore_previous_file_style _symbole_is_ok_but not_label. PNG added
- File Step2__change_symbol_and_label style.PNG added

- File Step1__Save_file_style_of this_shape.PNG added

| have the same issue on Qgis 2.14.1 (Linux debian).

Label style is not properly restored whereas the symbol style is correct.

| confirm that the cancel button is the only way to restore properly the label style.

#4 - 2016-04-10 04:04 AM - R. R.

See bug report #14441

#5 - 2016-04-10 04:11 AM - Giovanni Manghi

- Operating System deleted (Mac OS)
- Status changed from Feedback to Open

see also #14441

#6 - 2016-04-12 12:32 AM - Daan Goedkoop

The workaround of clicking "cancel" does not work in master anymore, because of the commit:25a162c.

I've made a PR to fix this a while ago already (https:/github.com/qgis/QGIS/pull/2929), I'll try to update it soon to solve the merge conflict.

#7 - 2016-05-04 02:02 AM - Daan Goedkoop

The aforementioned commit was backported to the 2.14 branch, so the workaround probably also doesn't work anymore in 2.14.2.

#8 - 2016-05-21 08:11 AM - Anonymous
- Status changed from Open to Closed

Fixed in changeset commit:"c260a77ec2073e0468803a47e6af0d49a1bd0f53".

Files

Step1__Save_file_style_of_this_shape.PNG 63.4 KB 2016-03-31 Herve Christol
Step2__change_symbol_and_label_style.PNG 57.4 KB 2016-03-31 Herve Christol
Step3__ Restore_previous_file_style_ symbole_is_ok_but_not_label.PSIG7 KB 2016-03-31 Herve Christol

2024-03-13 22


https://github.com/qgis/QGIS/pull/2929

